org.apache.ignite.internal.visor.igfs

## Class VisorIgfsSamplingStateTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<IgniteBiTuple<String,Boolean>,Void>
    - - org.apache.ignite.internal.visor.igfs.VisorIgfsSamplingStateTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<IgniteBiTuple<String,Boolean>>,Void>

    @GridInternal
    public class VisorIgfsSamplingStateTask
    extends VisorOneNodeTask<IgniteBiTuple<String,Boolean>,Void>

Task to set IGFS instance sampling state.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsSamplingStateTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.igfs.VisorIgfsSamplingStateTask.VisorIgfsSamplingStateJob` `job(IgniteBiTuple<String,Boolean> arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorIgfsSamplingStateTask

    public VisorIgfsSamplingStateTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.igfs.VisorIgfsSamplingStateTask.VisorIgfsSamplingStateJob job(IgniteBiTuple<String,Boolean> arg)

Specified by:
  `job` in class `VisorMultiNodeTask<IgniteBiTuple<String,Boolean>,Void,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015